Subject: bug#7962: 23.2; capitalize letters ISO-8859-1 with diacritic signs in emacs 23.2.1

From: Lennart Borgman <[email-masked]>
Date: Thu, 3 Feb 2011 23:22:31 +0100

On Thu, Feb 3, 2011 at 11:17 PM, Sven Joachim <[email-masked]> wrote:
>>>>
>>>> However I am reluctant to switch to UTF-8 for all my texts in English,
>>>> German, French, even Icelandic etc... i.e. Western European languages,
>>>> the only ones I'll ever typeset, which are perfectly handled in
>>>> unibyte iso-8859-1.
>>>
>>> You seem to assume that going multibyte requires that your files be
>>> encoded in UTF-8.  That simply isn't true.  The files can continue be
>>> encoded in ISO-8859-1 or ISO-8859-15; Emacs will decode them into its
>>> internal representation when you visit the file and encode it back
>>> when you save it.  You lose nothing.
>>
>> But does that require that you mark those files as coded in ISO-8859-1 etc?
>
> For reliability, yes.  Otherwise Emacs cannot really know the encoding
> and has to guess if a byte with value 164 means ¤ (ISO-8859-1) or €
> (ISO-8859-15), for instance.  Converting the files to UTF-8 solves this
> ambiguity, of course.

Is it sure that Emacs in the future will always do the same guess
about encoding for files that have no explicit coding in them? If not
then perhaps it would be good to add a function to emacs that helps
users add comments about explicit coding to a bunch of files.